# Interface VisualCpp

All Superinterfaces:
  `Named, NativeToolChain, ToolChain`

@Incubating public interface VisualCpp extends NativeToolChain
The Visual C++ tool chain.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`void`
`eachPlatform(Action<? super VisualCppPlatformToolChain> action)`
Adds an action that can fine-tune the tool configuration for each platform supported by this tool chain.
`File`
`getInstallDir()`
The directory where Visual Studio or Visual C++ is installed.
`File`
`getWindowsSdkDir()`
The directory where Windows SDK is installed.
`void`
`setInstallDir(Object installDir)`
The directory where Visual Studio or Visual C++ is installed.
`void`
`setWindowsSdkDir(Object installDir)`
The directory where Windows SDK is installed.

### Methods inherited from interface Named

`getName`

### Methods inherited from interface ToolChain

`getDisplayName`

## Method Details

### getInstallDir

File getInstallDir()
The directory where Visual Studio or Visual C++ is installed.

### setInstallDir

void setInstallDir(Object installDir)
The directory where Visual Studio or Visual C++ is installed.

### getWindowsSdkDir

File getWindowsSdkDir()
The directory where Windows SDK is installed.

### setWindowsSdkDir

void setWindowsSdkDir(Object installDir)
The directory where Windows SDK is installed.

### eachPlatform

void eachPlatform(Action<? super VisualCppPlatformToolChain> action)
Adds an action that can fine-tune the tool configuration for each platform supported by this tool chain.